# (Steffen Kothe / CM SAF 2018-06-14)

shinyUI(fluidPage(
  theme = shinythemes::shinytheme("flatly"), 

  sidebarLayout(
    sidebarPanel(img(src="R_Toolbox_Logo.png", width="100%"), 
      h3("Visualizer Options:"),
      sliderInput("slider1", label = h5("X-Range"),
        min = 1, max = x_range, value = c(1,x_range)),
      sliderInput("slider2", label = h5("Y-Range"),
        min = round(min_data-(0.25*max_data)), max = round(max_data+(0.25*max_data)), value = c(min_data,max_data)),
      div(style="width: 200px;",colourInput("integer","Color",showColour = "background",palette = "limited",returnName = TRUE, value = "royalblue4")),
      div(style="width: 200px;",selectInput("checkGroup", label = h5("Line Type"), 
        choices = list("Line" = 1, "Points" = 2, "Line+Points" = 3, "Steps" = 4, "Histogram" = 5), selected = 1)),
      checkboxInput("trend","Add linear trend line"),
      checkboxInput("analyze","Analyze timeseries"),
      div(style="width: 200px;",numericInput("ticknumber","Number of major ticks",min=2,value=6)),
      div(style="width: 200px;",selectInput("dateformat", label = h5("Date format"), 
        choices = list("YYYY" = 1, "YYYY-MM" = 2, "YYYY-MM-DD" = 3), selected = 2)),
      textInput("text1", label = h5("Title"), value = varname),
      textInput("text2", label = h5("Subtitle"), value = " "),
      downloadButton('downloadPlot', 'Save as png-file'),
      actionButton("exit", label = "EXIT", class = "btn btn-danger")),

     mainPanel(
      tabsetPanel(
        tabPanel("Plot",
                 h4("\n"),
                 imageOutput("myImage")),
                tabPanel("File Summary",
                 fluidRow(column(12,        
                  h4("Short File Info"),
                  verbatimTextOutput("summary1")),
                  column(12,
                  h4("Detailed File Info"),
                  verbatimTextOutput("summary2")))),
        tabPanel("About",
                 fluidRow(column(8,
                 h4("The CM SAF Visualizer"),
                 verbatimTextOutput("about")),
                 column(8,
                 h4("Good to know"),
                 verbatimTextOutput("tipps")),
                 column(6,
                 uiOutput("link"))))
      ))
  )
))

